Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158897 - 'master' agentx socket does not close after master agent closes
Summary: 'master' agentx socket does not close after master agent closes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 17:11 UTC by W Raul S
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.2.1.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-23 13:39:49 UTC


Attachments (Terms of Use)

Description W Raul S 2005-05-26 17:11:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After the nstAgentModuleObject sub-agentX disconnects from succesful GETs and SETs, the /var/agentx/master socket does not close after the master agent shuts down. The agents are shutdown using Ctrl-C. The non-closing socket indicates an agentx connection error in the master agent. After the master agent is started and shutdown, the socket closes correctly. 

The nstAgentModuleObject can be found here:
http://www.net-snmp.org/tutorial/tutorial-5/toolkit/index.html

The master agent produces no error output on connections or shutdown.

Version-Release number of selected component (if applicable):
net-snmp-5.2.1-12

How reproducible:
Always

Steps to Reproduce:
1. Start /usr/sbin/snmpd -f -Lo
2. Start example-demon 
3. ls /var/agentx
4. Ctl-C example-demon
5. Ctl-C snmpd
6. ls /var/agentx 

Actual Results:  ~ ls /var/agentx
master

Expected Results:  ~ ls /var/agentx

(No socket should exist)

Additional info:

Comment 1 Radek Vokal 2005-08-23 13:39:49 UTC
Fixed in rawhide vesrion of net-snmp


Note You need to log in before you can comment on or make changes to this bug.